﻿<div id="lookup-ctg" class="modal fade" data-backdrop="static">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <span class="close" data-dismiss="modal">&times;</span>
                Select Category
            </div>
            <div class="modal-body">
                <table id="table-lookup-ctg" class="table table-striped table-bordered" style="width: 100%"></table>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" data-dismiss="modal"><i class="glyphicon glyphicon-remove"></i> Close</button>
            </div> 
        </div>
    </div>
</div>

<script type="text/javascript">
    var lookupctg = {
                dt: null,
                init: function () {
                    dt = $("#table-lookup-ctg").DataTable({
                        serverSide: true,
                        processing: true,
                        scrollX: true,
                        ajax: {
                            url: "@Url.Action("Get","Categories")"
                        },
                        aaSorting: [[1, 'asc']],
                        columns: [
                            {
                                data: 'CategoryID', render: function () {
                                    return '<a href="javascript:" onclick="selectCtg(this)"><i class="glyphicon glyphicon-ok"></i></a>';
                                },
                                sortable: false
                            },
                            { title: 'Category ID', data: 'CategoryID' },
                            { title: 'Name', data: 'CategoryName' },
                            { title: 'Description', data: 'Description', sortable: false }
                        ],
                        lengthMenu: [[5, 10, 25, 50, 100], [5, 10, 25, 50, 100]]
                    });
                    
                },
                refresh: function () {
                    dt.ajax.reload(); 
                }
    };
    
    lookupctg.init();

    function lookupCtg() { 
        $("#lookup-ctg").modal();
    }

    function selectCtg(e) {
        var tr = $(e).parent().parent();
        $("#Products_CategoryID").val(tr.children("td:eq(1)").text());
        $("#Category_CategoryName").val(tr.children("td:eq(2)").text());
        $("#lookup-ctg").modal('hide'); 
    }
</script>
